Skip to main content
`Ctrl`+`K`

# FNParallelType

Indicates the parallel mode that will be used for matrix function evaluation.

## Synopsis

    typedef enum { FN_PARALLEL_REDUNDANT,
                   FN_PARALLEL_SYNCHRONIZED } FNParallelType;

## Values

- `FN_PARALLEL_REDUNDANT` - all processes compute redundantly

- `FN_PARALLEL_SYNCHRONIZED` - only the first MPI process performs the computation

## See Also

FN: Mathematical Functions, `FNSetParallel()`

## Level

advanced

## Location

include/slepcfn.h

Index of all FN routines Table of Contents for all manual pages Index of all manual pages